LINUX.ORG.RU

Gentoo, arm64, не собирется dev-qt/qtwidgets

 ,


0

1
/var/tmp/portage/dev-qt/qtwidgets-5.14.2/work/qtbase-everywhere-src-5.14.2/src/plugins/platformthemes/gtk3/qgtk3dialoghelpers.cpp:55:10: fatal error: gdk/gdkx.h: No such file or directory
   55 | #include <gdk/gdkx.h>
      |          ^~~~~~~~~~~~
compilation terminated.
make[1]: *** [Makefile:441: .obj/qgtk3dialoghelpers.o] Error 1
make[1]: Leaving directory '/var/tmp/portage/dev-qt/qtwidgets-5.14.2/work/qtbase-everywhere-src-5.14.2_build/src/plugins/platformthemes/gtk3'
make: *** [Makefile:47: sub-gtk3-make_first] Error 2
 * ERROR: dev-qt/qtwidgets-5.14.2::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=dev-qt/qtwidgets-5.14.2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-qt/qtwidgets-5.14.2::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-qt/qtwidgets-5.14.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-qt/qtwidgets-5.14.2/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-qt/qtwidgets-5.14.2/work/qtbase-everywhere-src-5.14.2_build/src/plugins/platformthemes'
 * S: '/var/tmp/portage/dev-qt/qtwidgets-5.14.2/work/qtbase-everywhere-src-5.14.2'

 * Messages for package dev-qt/qtwidgets-5.14.2:

 * ERROR: dev-qt/qtwidgets-5.14.2::gentoo failed (compile phase):
 *   emake failed

Кто ещё сталкивался?

★★★★★

Ответ на: комментарий от burato

Почему ожидаемо? У тебя gtk3 не установлен?

grem ★★★★★
()
Ответ на: комментарий от burato

В смысле подтянул? Там gtk3 тянется сам если выставлен use флаг gtk.

Ты какой командой ставить пытаешься?

grem ★★★★★
()
Ответ на: комментарий от burato
XMs-desktop /home/xms $ equery belongs /usr/include/gtk-3.0/gdk/gdkx.h 
 * Searching for /usr/include/gtk-3.0/gdk/gdkx.h ... 
x11-libs/gtk+-3.24.20 (/usr/include/gtk-3.0/gdk/gdkx.h)
XMs-desktop /home/xms $ equery uses gtk+
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for x11-libs/gtk+-3.24.20:
 U I
 + + X             : Add support for X11
 + + abi_x86_32    : 32-bit (x86) libraries
 - - broadway      : Enable the GDK Broadway backend.
 - - cloudprint    : Enable printing via Google Cloud Print.
 - - colord        : Use x11-misc/colord for color management in printing
 + + cups          : Add support for CUPS (Common Unix Printing System)
 + + examples      : Install examples, usually source code
 - - gtk-doc       : Build and install gtk-doc based developer documentation for dev-util/devhelp, IDE and offline use
 + + introspection : Add support for GObject based introspection
 - - test          : Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled
                     independently)
 + + vim-syntax    : Pulls in related vim syntax scripts
 + + wayland       : Enable dev-libs/wayland backend
 + + xinerama      : Add support for querying multi-monitor screen geometry through the Xinerama API
XMs-desktop /home/xms $

У меня оно вот так. У тебя есть отличия?

XMs ★★★★★
()
Ответ на: комментарий от burato

выхлоп equery u dev-qt/qtwidgets и equery u x11-libs/gtk+ в студию

anonymous
()
Ответ на: комментарий от burato
--nodeps, -O
Merges specified packages without merging any dependencies. Note that the build may fail if the dependencies aren't satisfied.
grem ★★★★★
()

Может всё же сразу всю информацию предоставишь о команде которой ставишь, список use flag с которыми ставишь? Почему вытягивать то это приходится?

grem ★★★★★
()
Ответ на: комментарий от burato

Более интересный вопрос - с какими флагами ты пробуешь собирать qtwidgets? Потому что если там у тебя -gtk - то налицо баг.

Pinkbyte ★★★★★
()
Ответ на: комментарий от Pinkbyte

Не, не баг. Насколько понимаю, gtk для qtwidgets — это про поддержку gtk–тем. У меня собрано без него, например.

gdk в любом случае нужен для qt5, на нём построен рендеринг.

А заголовка по прописанному пути нет потому, что gtk3 собран без флага X.

anonymous
()
Ответ на: комментарий от Pinkbyte

У меня тут поинтереснее, теперь циркулярная порука)))

emerge gtk

These are the packages that would be merged, in order:

Calculating dependencies... done!


[ebuild  N    *] dev-haskell/gtk-0.14.10-r3:2/0.14.10::gentoo  USE="deprecated fmode-binary gio -doc -hscolour -profile" 662 KiB
[nomerge       ]  dev-haskell/cabal-2.4.0.1:0/2.4.0.1::gentoo  USE="-profile" 
[ebuild  N    *]   dev-haskell/parsec-3.1.13.0-r1:0/3.1.13.0::gentoo  USE="-doc -hscolour -profile -test" 35 KiB
[ebuild  N    *]    dev-haskell/semigroups-0.18.2:0/0.18.2::gentoo  USE="binary transformers -doc -hscolour -profile" 17 KiB
[ebuild  N    *]     dev-haskell/tagged-0.8.6:0/0.8.6::gentoo  USE="-doc -hscolour -profile" 12 KiB
[ebuild  N    *]      dev-haskell/transformers-compat-0.5.1.4:0/0.5.1.4::gentoo  USE="-doc -hscolour -profile" 19 KiB
[ebuild  N    *]     dev-haskell/binary-0.8.3.0:0/0.8.3.0::gentoo  USE="-doc -hscolour -profile -test" 51 KiB
[ebuild  N    *]     dev-haskell/nats-1:0/1::gentoo  USE="hashable -profile" 6 KiB
[ebuild  N    *]     dev-haskell/bytestring-builder-0.10.8.2.0:0/0.10.8.2.0::gentoo  USE="-profile" 47 KiB
[ebuild  N    *]  dev-haskell/gio-0.13.6.0:0/0.13.6.0::gentoo  USE="-doc -hscolour -profile" 69 KiB
[ebuild  N    *]  dev-haskell/pango-0.13.6.1:0/0.13.6.1::gentoo  USE="-doc -hscolour -profile" 52 KiB
[ebuild  N    *]   dev-haskell/cairo-0.13.6.1:0/0.13.6.1::gentoo  USE="pdf postscript svg -doc -hscolour -profile" 52 KiB
[ebuild  N    *]   dev-haskell/glib-0.13.7.0:0/0.13.7.0::gentoo  USE="closure-signals -doc -hscolour -profile" 39 KiB
[ebuild  N    *]    dev-haskell/gtk2hs-buildtools-0.13.5.1:0/0.13.5.1::gentoo  USE="closuresignals -doc -hscolour -profile" 174 KiB
[ebuild  N    *]     dev-haskell/hashtables-1.2.1.0:0/1.2.1.0::gentoo  USE="unsafe-tricks -bounds-checking -doc -hscolour -portable -profile" 53 KiB
[ebuild  N    *]      dev-haskell/vector-0.11.0.0:0/0.11.0.0::gentoo  USE="boundschecks -doc -hscolour -internalchecks -profile -unsafechecks" 113 KiB
[ebuild  N    *]     dev-haskell/happy-1.19.12::gentoo  USE="-doc -test" 179 KiB
[ebuild  N    *]     dev-haskell/alex-3.2.4::gentoo  USE="-doc -test" 109 KiB
[ebuild  N    *]     dev-haskell/random-1.1:0/1.1::gentoo  USE="-doc -hscolour -profile -test" 11 KiB
[ebuild  N    *]    dev-haskell/utf8-string-1.0.1.1:0/1.0.1.1::gentoo  USE="-doc -hscolour -profile" 9 KiB
[nomerge       ] dev-haskell/hashtables-1.2.1.0:0/1.2.1.0::gentoo  USE="unsafe-tricks -bounds-checking -doc -hscolour -portable -profile" 
[ebuild  N    *]  dev-haskell/primitive-0.6.1.0-r1:0/0.6.1.0::gentoo  USE="-doc -hscolour -profile -test" 13 KiB
[nomerge       ] dev-haskell/gtk-0.14.10-r3:2/0.14.10::gentoo  USE="deprecated fmode-binary gio -doc -hscolour -profile" 
[nomerge       ]  dev-haskell/gtk2hs-buildtools-0.13.5.1:0/0.13.5.1::gentoo  USE="closuresignals -doc -hscolour -profile" 
[ebuild  N    *]   dev-haskell/fail-4.9.0.0:0/4.9.0.0::gentoo  USE="-profile" 3 KiB
[ebuild  N    *]  dev-haskell/mtl-2.2.1-r1:0/2.2.1::gentoo  USE="-doc -hscolour -profile" 16 KiB
[ebuild  N    *]   dev-haskell/transformers-0.5.2.0:0/0.5.2.0::gentoo  USE="-doc -hscolour -profile" 34 KiB
[ebuild  N    *]    dev-haskell/cabal-2.4.0.1:0/2.4.0.1::gentoo  USE="-profile" 4689 KiB

Total: 24 packages (24 new), Size of downloads: 6454 KiB

 * Error: circular dependencies:

(dev-haskell/cabal-2.4.0.1:0/2.4.0.1::gentoo, ebuild scheduled for merge) depends on
 (dev-haskell/mtl-2.2.1-r1:0/2.2.1::gentoo, ebuild scheduled for merge) (buildtime_slot_op)
  (dev-haskell/cabal-2.4.0.1:0/2.4.0.1::gentoo, ebuild scheduled for merge) 

burato ★★★★★
() автор топика
Ответ на: комментарий от Pinkbyte

У меня тут поинтереснее, теперь циркулярная порука)))

emerge gtk

These are the packages that would be merged, in order:

Calculating dependencies... done!


[ebuild  N    *] dev-haskell/gtk-0.14.10-r3:2/0.14.10::gentoo  USE="deprecated fmode-binary gio -doc -hscolour -profile" 662 KiB
[nomerge       ]  dev-haskell/cabal-2.4.0.1:0/2.4.0.1::gentoo  USE="-profile" 
[ebuild  N    *]   dev-haskell/parsec-3.1.13.0-r1:0/3.1.13.0::gentoo  USE="-doc -hscolour -profile -test" 35 KiB
[ebuild  N    *]    dev-haskell/semigroups-0.18.2:0/0.18.2::gentoo  USE="binary transformers -doc -hscolour -profile" 17 KiB
[ebuild  N    *]     dev-haskell/tagged-0.8.6:0/0.8.6::gentoo  USE="-doc -hscolour -profile" 12 KiB
[ebuild  N    *]      dev-haskell/transformers-compat-0.5.1.4:0/0.5.1.4::gentoo  USE="-doc -hscolour -profile" 19 KiB
[ebuild  N    *]     dev-haskell/binary-0.8.3.0:0/0.8.3.0::gentoo  USE="-doc -hscolour -profile -test" 51 KiB
[ebuild  N    *]     dev-haskell/nats-1:0/1::gentoo  USE="hashable -profile" 6 KiB
[ebuild  N    *]     dev-haskell/bytestring-builder-0.10.8.2.0:0/0.10.8.2.0::gentoo  USE="-profile" 47 KiB
[ebuild  N    *]  dev-haskell/gio-0.13.6.0:0/0.13.6.0::gentoo  USE="-doc -hscolour -profile" 69 KiB
[ebuild  N    *]  dev-haskell/pango-0.13.6.1:0/0.13.6.1::gentoo  USE="-doc -hscolour -profile" 52 KiB
[ebuild  N    *]   dev-haskell/cairo-0.13.6.1:0/0.13.6.1::gentoo  USE="pdf postscript svg -doc -hscolour -profile" 52 KiB
[ebuild  N    *]   dev-haskell/glib-0.13.7.0:0/0.13.7.0::gentoo  USE="closure-signals -doc -hscolour -profile" 39 KiB
[ebuild  N    *]    dev-haskell/gtk2hs-buildtools-0.13.5.1:0/0.13.5.1::gentoo  USE="closuresignals -doc -hscolour -profile" 174 KiB
[ebuild  N    *]     dev-haskell/hashtables-1.2.1.0:0/1.2.1.0::gentoo  USE="unsafe-tricks -bounds-checking -doc -hscolour -portable -profile" 53 KiB
[ebuild  N    *]      dev-haskell/vector-0.11.0.0:0/0.11.0.0::gentoo  USE="boundschecks -doc -hscolour -internalchecks -profile -unsafechecks" 113 KiB
[ebuild  N    *]     dev-haskell/happy-1.19.12::gentoo  USE="-doc -test" 179 KiB
[ebuild  N    *]     dev-haskell/alex-3.2.4::gentoo  USE="-doc -test" 109 KiB
[ebuild  N    *]     dev-haskell/random-1.1:0/1.1::gentoo  USE="-doc -hscolour -profile -test" 11 KiB
[ebuild  N    *]    dev-haskell/utf8-string-1.0.1.1:0/1.0.1.1::gentoo  USE="-doc -hscolour -profile" 9 KiB
[nomerge       ] dev-haskell/hashtables-1.2.1.0:0/1.2.1.0::gentoo  USE="unsafe-tricks -bounds-checking -doc -hscolour -portable -profile" 
[ebuild  N    *]  dev-haskell/primitive-0.6.1.0-r1:0/0.6.1.0::gentoo  USE="-doc -hscolour -profile -test" 13 KiB
[nomerge       ] dev-haskell/gtk-0.14.10-r3:2/0.14.10::gentoo  USE="deprecated fmode-binary gio -doc -hscolour -profile" 
[nomerge       ]  dev-haskell/gtk2hs-buildtools-0.13.5.1:0/0.13.5.1::gentoo  USE="closuresignals -doc -hscolour -profile" 
[ebuild  N    *]   dev-haskell/fail-4.9.0.0:0/4.9.0.0::gentoo  USE="-profile" 3 KiB
[ebuild  N    *]  dev-haskell/mtl-2.2.1-r1:0/2.2.1::gentoo  USE="-doc -hscolour -profile" 16 KiB
[ebuild  N    *]   dev-haskell/transformers-0.5.2.0:0/0.5.2.0::gentoo  USE="-doc -hscolour -profile" 34 KiB
[ebuild  N    *]    dev-haskell/cabal-2.4.0.1:0/2.4.0.1::gentoo  USE="-profile" 4689 KiB

Total: 24 packages (24 new), Size of downloads: 6454 KiB

 * Error: circular dependencies:

(dev-haskell/cabal-2.4.0.1:0/2.4.0.1::gentoo, ebuild scheduled for merge) depends on
 (dev-haskell/mtl-2.2.1-r1:0/2.2.1::gentoo, ebuild scheduled for merge) (buildtime_slot_op)
  (dev-haskell/cabal-2.4.0.1:0/2.4.0.1::gentoo, ebuild scheduled for merge) 

burato ★★★★★
() автор топика
Ответ на: комментарий от anonymous

qtwidgets в генте тянет по зависимостям gtk+ только с включенным USE=«gtk». Заголовочный файл, который не найден - в составе гентушного пакета gtk+. То есть либо не до конца отпилено требование gtk+, либо(если опциональность - дутая) некорректно прописаны зависимости.

Pinkbyte ★★★★★
()
Ответ на: комментарий от burato

dev-haskell/cabal-2.4.0.1 не содержит KEYWORDS, ты там с ACCEPT_KEYWORDS=** что-ли всё собираешь?

Update: а, другие версии не содержат ~arm64, понимаю. Но unkeyworded-версии скорее всего совсем сырые и не проинтегрированные в дистрибутив, так что я не удивлен.

Pinkbyte ★★★★★
()
Последнее исправление: Pinkbyte (всего исправлений: 1)
Ответ на: комментарий от Pinkbyte

На arm64 вообще мало кейворднутых версий.

burato ★★★★★
() автор топика
Ответ на: комментарий от Pinkbyte

циркулярочку разрулил размаскировкой пакета кабала, версии 2 и старше не дружат с мтл

burato ★★★★★
() автор топика
Ответ на: комментарий от Pinkbyte

теперь я не могу собрать gtk потому, что одна из зависимостей под арм64 не идёт:

* Package:    dev-lang/ghc-7.8.4
 * Repository: gentoo
 * Maintainer: haskell@gentoo.org
 * USE:        arm64 elibc_glibc gmp kernel_linux userland_GNU
 * FEATURES:   network-sandbox preserve-libs sandbox userpriv usersandbox
 * Please try emerging with USE=ghcbootstrap and report build
 * sucess or failure to the haskell team (haskell@gentoo.org)
 * ERROR: dev-lang/ghc-7.8.4::gentoo failed (setup phase):
 *   No binary available for 'arm64' arch yet, USE=ghcbootstrap
 * 
 * Call stack:
 *          ebuild.sh, line 125:  Called pkg_setup
 *   ghc-7.8.4.ebuild, line 267:  Called die
 * The specific snippet of code:
 *   			die "No binary available for '${ARCH}' arch yet, USE=ghcbootstrap"
 * 
 * If you need support, post the output of `emerge --info '=dev-lang/ghc-7.8.4::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-lang/ghc-7.8.4::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-lang/ghc-7.8.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-lang/ghc-7.8.4/temp/die.env'.
 * Working directory: '/var/tmp/portage/dev-lang/ghc-7.8.4/homedir'
 * S: '/var/tmp/portage/dev-lang/ghc-7.8.4/work/ghc-7.8.4'

 * Messages for package dev-lang/ghc-7.8.4:

 * Please try emerging with USE=ghcbootstrap and report build
 * sucess or failure to the haskell team (haskell@gentoo.org)
 * ERROR: dev-lang/ghc-7.8.4::gentoo failed (setup phase):
 *   No binary available for 'arm64' arch yet, USE=ghcbootstrap
 * 
 * Call stack:
 *          ebuild.sh, line 125:  Called pkg_setup
 *   ghc-7.8.4.ebuild, line 267:  Called die
 * The specific snippet of code:
 *   			die "No binary available for '${ARCH}' arch yet, USE=ghcbootstrap"

burato ★★★★★
() автор топика
Ответ на: комментарий от burato

Дружище, а тебе ТОЧНО нужен компилятор Хаскеля на арме? Не смущает, что он несколько того, требователен к ресурсам?

Дурацкий вопрос: ты не попутал, случаем, dev-haskell/gtk и x11-libs/gtk+?

Поскольку для сборки qtwidgets хаскелевские биндинги к gtk+ не нужны, от слова «совсем».

anonymous
()
Ответ на: комментарий от burato

Автор, ты хоть отпишись чего и как.

x11-libs/gtk+:3 с какими флагами собрана? Пробовал перекомпилить с +X?

dev-haskell/gtk поставил осознанно, потому что хочешь хаскелить на хаскеле, или просто из-за gtk в названии?

Потому как все вышеописанные разборки с круговыми зависимостями — они из хаскеля выползли, и для успешной сборки gtk+ совершенно не нужны, равно как и хаскелевские биндинги.

anonymous
()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.